package overflow_subscriber

import "encoding/json"

type SubscribeMessage struct {
	Targets    []string         `json:"targets"`
	MessageRaw *json.RawMessage `json:"message"`
	Message    []byte
}

type SubscribeMessageBody struct {
	Version string      `json:"jsonrpc"`
	Method  string      `json:"method"`
	Params  interface{} `json:"params,omitempty"`
}
